Mn failures due to Zygote: Process 742 terminated by signal (11) | application crashed [@ libdvm.so + 0x21bdc], e.g. test_click_scrolling.py

RESOLVED WONTFIX

Status

()

defect
P5
critical
RESOLVED WONTFIX
a year ago
24 days ago

People

(Reporter: whimboo, Unassigned)

Tracking

(Depends on 2 bugs, {crash, intermittent-failure})

unspecified
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox60 wontfix, firefox61 disabled, firefox62 disabled, firefox66 disabled)

Details

(Whiteboard: [stockwell disabled][test_navigation.py], crash signature)

Attachments

(1 attachment, 1 obsolete attachment)

+++ This bug was initially created as a clone of Bug #1442054 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=174065234&repo=autoland

[task 2018-04-17T11:49:08.205Z] 11:49:08     INFO -  Crash reason:  SIGSEGV
[task 2018-04-17T11:49:08.205Z] 11:49:08     INFO -  Crash address: 0x74
[task 2018-04-17T11:49:08.205Z] 11:49:08     INFO -  Process uptime: not available
[task 2018-04-17T11:49:08.205Z] 11:49:08     INFO -  Thread 0 (crashed)
[task 2018-04-17T11:49:08.206Z] 11:49:08     INFO -   0  libdvm.so + 0x21bdc
[task 2018-04-17T11:49:08.206Z] 11:49:08     INFO -       r0 = 0x00000000    r1 = 0x00000025    r2 = 0x00000000    r3 = 0x00000002
[task 2018-04-17T11:49:08.206Z] 11:49:08     INFO -       r4 = 0x4dca7522    r5 = 0x4c465e14    r6 = 0x2a00d090    r7 = 0x000010f8
[task 2018-04-17T11:49:08.206Z] 11:49:08     INFO -       r8 = 0x4085bdc0    r9 = 0x4c465e58   r10 = 0x4c465dfc   r12 = 0x000000f8
[task 2018-04-17T11:49:08.207Z] 11:49:08     INFO -       fp = 0x42170aa0    sp = 0xbeae8758    lr = 0x55f1369d    pc = 0x4085fbdc
[task 2018-04-17T11:49:08.207Z] 11:49:08     INFO -      Found by: given as instruction pointer in context
[task 2018-04-17T11:49:08.207Z] 11:49:08     INFO -   1  libdvm.so + 0x2de9a
[task 2018-04-17T11:49:08.208Z] 11:49:08     INFO -       sp = 0xbeae8764    pc = 0x4086be9c
[task 2018-04-17T11:49:08.208Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.208Z] 11:49:08     INFO -   2  dalvik-LinearAlloc (deleted) + 0xa79b6
[task 2018-04-17T11:49:08.208Z] 11:49:08     INFO -       sp = 0xbeae8778    pc = 0x4c50e9b8
[task 2018-04-17T11:49:08.209Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.209Z] 11:49:08     INFO -   3  dalvik-heap (deleted) + 0x289742
[task 2018-04-17T11:49:08.209Z] 11:49:08     INFO -       sp = 0xbeae877c    pc = 0x4173e744
[task 2018-04-17T11:49:08.209Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.210Z] 11:49:08     INFO -   4  libdvm.so + 0x2b582
[task 2018-04-17T11:49:08.210Z] 11:49:08     INFO -       sp = 0xbeae8780    pc = 0x40869584
[task 2018-04-17T11:49:08.210Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.210Z] 11:49:08     INFO -   5  dalvik-heap (deleted) + 0x18e066
[task 2018-04-17T11:49:08.211Z] 11:49:08     INFO -       sp = 0xbeae878c    pc = 0x41643068
[task 2018-04-17T11:49:08.211Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.211Z] 11:49:08     INFO -   6  framework.odex + 0x50c326
[task 2018-04-17T11:49:08.211Z] 11:49:08     INFO -       sp = 0xbeae8790    pc = 0x4dfde328
[task 2018-04-17T11:49:08.212Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.212Z] 11:49:08     INFO -   7  dalvik-LinearAlloc (deleted) + 0xc2a6
[task 2018-04-17T11:49:08.212Z] 11:49:08     INFO -       sp = 0xbeae8798    pc = 0x4c4732a8
[task 2018-04-17T11:49:08.213Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.213Z] 11:49:08     INFO -   8  core.odex + 0x364ffe
[task 2018-04-17T11:49:08.213Z] 11:49:08     INFO -       sp = 0xbeae879c    pc = 0x4d7cd000
[task 2018-04-17T11:49:08.214Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.215Z] 11:49:08     INFO -   9  dalvik-heap (deleted) + 0x2896ae
[task 2018-04-17T11:49:08.215Z] 11:49:08     INFO -       sp = 0xbeae87a0    pc = 0x4173e6b0
[task 2018-04-17T11:49:08.215Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.215Z] 11:49:08     INFO -  10  dalvik-LinearAlloc (deleted) + 0xa79b6
[task 2018-04-17T11:49:08.216Z] 11:49:08     INFO -       sp = 0xbeae87f8    pc = 0x4c50e9b8
[task 2018-04-17T11:49:08.216Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.216Z] 11:49:08     INFO -  11  libdvm.so + 0xa9c86
[task 2018-04-17T11:49:08.217Z] 11:49:08     INFO -       sp = 0xbeae87fc    pc = 0x408e7c88
[task 2018-04-17T11:49:08.217Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.217Z] 11:49:08     INFO -  12  dalvik-heap (deleted) + 0x2a6
[task 2018-04-17T11:49:08.217Z] 11:49:08     INFO -       sp = 0xbeae8804    pc = 0x414b52a8
[task 2018-04-17T11:49:08.218Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.218Z] 11:49:08     INFO -  13  dalvik-heap (deleted) + 0x28966a
[task 2018-04-17T11:49:08.218Z] 11:49:08     INFO -       sp = 0xbeae8808    pc = 0x4173e66c
[task 2018-04-17T11:49:08.218Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.219Z] 11:49:08     INFO -  14  libdvm.so + 0x5ff7d
[task 2018-04-17T11:49:08.219Z] 11:49:08     INFO -       sp = 0xbeae8810    pc = 0x4089df7f
[task 2018-04-17T11:49:08.220Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.220Z] 11:49:08     INFO -  15  dalvik-heap (deleted) + 0x281006
[task 2018-04-17T11:49:08.220Z] 11:49:08     INFO -       sp = 0xbeae8818    pc = 0x41736008
[task 2018-04-17T11:49:08.221Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.221Z] 11:49:08     INFO -  16  dalvik-heap (deleted) + 0x28972e
[task 2018-04-17T11:49:08.221Z] 11:49:08     INFO -       sp = 0xbeae8824    pc = 0x4173e730
[task 2018-04-17T11:49:08.221Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.222Z] 11:49:08     INFO -  17  dalvik-heap (deleted) + 0x281006
[task 2018-04-17T11:49:08.222Z] 11:49:08     INFO -       sp = 0xbeae8828    pc = 0x41736008
[task 2018-04-17T11:49:08.222Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.223Z] 11:49:08     INFO -  18  libdvm.so + 0xa9c86
[task 2018-04-17T11:49:08.223Z] 11:49:08     INFO -       sp = 0xbeae882c    pc = 0x408e7c88
[task 2018-04-17T11:49:08.223Z] 11:49:08     INFO -      Found by: stack scanning
[task 2018-04-17T11:49:08.223Z] 11:49:08     INFO -  19  libdvm.so + 0x713a7
[task 2018-04-17T11:49:08.224Z] 11:49:08     INFO -       sp = 0xbeae8830    pc = 0x408af3a9
[task 2018-04-17T11:49:08.224Z] 11:49:08     INFO -      Found by: stack scanning

From the adb-logcat log:

04-17 04:48:53.915   738   738 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: LOCATION_CHANGE
04-17 04:48:54.155   738   738 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
04-17 04:48:54.155   738   738 W google-breakpad: 2359
04-17 04:48:54.155   738   738 W google-breakpad: 
04-17 04:48:54.155   738   738 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
04-17 04:48:54.165  2359  2359 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
04-17 04:48:56.515    38    38 D Zygote  : Process 738 terminated by signal (11)
04-17 04:48:56.526   277   447 I ActivityManager: Process org.mozilla.fennec_aurora (pid 738) has died.
04-17 04:48:56.526   277   289 I WindowState: WIN DEATH: Window{41ade160 u0 org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp}
04-17 04:48:56.576   277   447 W ActivityManager: Scheduling restart of crashed service org.mozilla.fennec_aurora/org.mozilla.gecko.media.MediaControlService in 5000ms
04-17 04:48:56.576   277   289 W WindowManager: Force-removing child win Window{41964078 u0 SurfaceView} from container Window{41ade160 u0 org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp}
04-17 04:48:56.805   277   442 W WindowManager: Failed looking up window
04-17 04:48:56.805   277   442 W WindowManager: java.lang.IllegalArgumentException: Requested window android.os.BinderProxy@41916b50 does not exist
04-17 04:48:56.805   277   442 W WindowManager: 	at com.android.server.wm.WindowManagerService.windowForClientLocked(WindowManagerService.java:7630)
04-17 04:48:56.805   277   442 W WindowManager: 	at com.android.server.wm.WindowManagerService.windowForClientLocked(WindowManagerService.java:7621)
04-17 04:48:56.805   277   442 W WindowManager: 	at com.android.server.wm.WindowState$DeathRecipient.binderDied(WindowState.java:1000)
04-17 04:48:56.805   277   442 W WindowManager: 	at android.os.BinderProxy.sendDeathNotice(Binder.java:470)
04-17 04:48:56.805   277   442 W WindowManager: 	at dalvik.system.NativeStart.run(Native Method)
04-17 04:48:56.805   277   447 W ActivityManager: Force removing ActivityRecord{418c7e28 u0 org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp}: app died, no saved state
04-17 04:48:56.816   277   442 I WindowState: WIN DEATH: null

If I read this correctly it might be caused by the crash of the MediaControlService. Jan, do you think it might be related to your changes on bug 1416169?
Flags: needinfo?(jh+bugzilla)
At a first approximation that only means that at the time of the crash, the MediaControlService was considered a running service by Android, so when the Firefox process crashed, the MediaControlService implicitly crashed as well, since it's running in the same process. This doesn't assign any culpability - most likely [1] the service was just an innocent bystander that was caught up in the crash and now needs to be restarted because its original process died.

This still raises an interesting point though, as to why the service was running in the first place, given that the point of bug 1416169 was exactly to avoid the MediaControlService running all the time, plus those tests are running on Android 4.3 where the notification doesn't even work.

[1] Unless of course there's some evidence that crash rates actually jumped up when I made those changes.
Flags: needinfo?(jh+bugzilla)
See Also: → 1454709
Thank you Jan, and also for the patch on bug 1454709. I would say lets wait until that patch landed before spending more time investigating this crash. It doesn't happen actually that often as far as I can see.
Summary: Frequent Mn failures due to crashed MediaControlService | application crashed [@ libdvm.so + 0x21bdc] → Mn failures due to crashed MediaControlService | application crashed [@ libdvm.so + 0x21bdc]
Ok, so this is clearly not MediaControlService related but it looks like that we may see an OOM and our VM gets killed by Android?

https://taskcluster-artifacts.net/VZGmRBhvTjOMMqBC3rALrQ/0/public/test_info//logcat-emulator-5554.log

> 04-20 03:42:26.917   742   742 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: MENU_UPDATED
> 04-20 03:42:28.257  2323  2323 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
> 04-20 03:42:28.277   742   742 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
> 04-20 03:42:28.277   742   742 W google-breakpad: 2323ôÂ?ˆLL@Â?„•†@ØÂ?tÆŒ@ØÂ?æ
> 04-20 03:42:28.277   742   742 W google-breakpad: 
> 04-20 03:42:28.307   742   742 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
> 04-20 03:42:30.527    38    38 D Zygote  : Process 742 terminated by signal (11)
> 04-20 03:42:30.547   278   278 I ActivityManager: Process org.mozilla.fennec_aurora (pid 742) has died.

Snorp what do you think? Is there anything we could do to add some more details to those logs?
Flags: needinfo?(snorp)
Summary: Mn failures due to crashed MediaControlService | application crashed [@ libdvm.so + 0x21bdc] → Mn failures due to ActivityManager: Process org.mozilla.fennec_aurora has died | application crashed [@ libdvm.so + 0x21bdc]
Duplicate of this bug: 1455587
Summary: Mn failures due to ActivityManager: Process org.mozilla.fennec_aurora has died | application crashed [@ libdvm.so + 0x21bdc] → Mn failures due to Zygote: Process 742 terminated by signal (11) | application crashed [@ libdvm.so + 0x21bdc]
The details are going to be in the crash dump. Was it able to create one? Is that what we have in comment #0?

Hard to tell from the stack, but it looks like dalvik has a null deref somewhere. It would be more telling if we had a java stack from that thread, but I don't know of a way to get that.
Flags: needinfo?(snorp)
(In reply to James Willcox (:snorp) (jwillcox@mozilla.com) from comment #5)
> The details are going to be in the crash dump. Was it able to create one? Is
> that what we have in comment #0?

Correct. Comment 0 shows the crash stack as printed by mozcrash. Maybe it failed to somewhat symbolicate the crash? We definitely download the symbols. Ted, do you have an idea? Here some more failures like that:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=037c21370a3cf05b521b4cf402e5755ca8c9183d&group_state=expanded&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=runnable&filter-resultStatus=success&selectedJob=174837455&filter-searchStr=mn%20android 

> Hard to tell from the stack, but it looks like dalvik has a null deref
> somewhere. It would be more telling if we had a java stack from that thread,
> but I don't know of a way to get that.

Where would this stack usually appear? I could run with a one-click loaner and check for details. Looks like that especially for teh beta simulations we have a high failure rate.
Flags: needinfo?(ted)
Flags: needinfo?(snorp)
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1454934
> Correct. Comment 0 shows the crash stack as printed by mozcrash. Maybe it failed to somewhat symbolicate the crash? We definitely download the symbols. Ted, do you have an idea? Here some more failures like that:

Sadly we just don't have symbols for Android system libraries, and getting them is nigh-impossible. (We used to build our own Android emulator images, in which case it might have been possible, but I don't think we do that anymore.)

If there was an unhandled Java exception we would presumably get the Java stack in the .extra file and the logcat, but given that it's missing this must be an actual crash in a system library.
Flags: needinfo?(ted)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1460177
Duplicate of this bug: 1460505
Here a test job with an additional info:

https://taskcluster-artifacts.net/Q0jR8h5ARmWFlAAlYl41FQ/0/public/test_info//logcat-emulator-5554.log

> 05-09 23:31:42.926  2995  2995 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
> 05-09 23:31:44.776   764   764 I Choreographer: Skipped 141 frames!  The application may be doing too much work on its main thread.
> 05-09 23:31:45.156    38    38 D Zygote  : Process 764 terminated by signal (11)
> 05-09 23:31:45.176   278   426 I ActivityManager: Process org.mozilla.fennec_aurora (pid 764) has died.

The important message here is "The application may be doing too much work on its main thread". So maybe there is a bottleneck and Fennec gets finally killed based on that?
Duplicate of this bug: 1460504
Depends on: 1460504
Duplicate of this bug: 1460599
(In reply to Henrik Skupin (:whimboo) from comment #15)
> Here a test job with an additional info:
> 
> https://taskcluster-artifacts.net/Q0jR8h5ARmWFlAAlYl41FQ/0/public/test_info//
> logcat-emulator-5554.log
> 
> > 05-09 23:31:42.926  2995  2995 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
> > 05-09 23:31:44.776   764   764 I Choreographer: Skipped 141 frames!  The application may be doing too much work on its main thread.
> > 05-09 23:31:45.156    38    38 D Zygote  : Process 764 terminated by signal (11)
> > 05-09 23:31:45.176   278   426 I ActivityManager: Process org.mozilla.fennec_aurora (pid 764) has died.
> 
> The important message here is "The application may be doing too much work on
> its main thread". So maybe there is a bottleneck and Fennec gets finally
> killed based on that?

"The application may be doing too much work on its main thread" is commonly seen in our logcats. I'm not aware of it being related to application killing. In this case, it looks like Choreographer reported that after the ExceptionHandler was hit: As though exception handling caused the Choreographer warning, rather than the other way around.

Signal (11) is SIGSEGV, which I would not expect to see if the app was killed by an external party.

SIGSEGV on Fennec startup during test runs is a long-standing low-frequency issue. For instance, see the history of bug 1284320, which collects failures for a missing crash directory (typical if the crash comes before breakpad is initialized).
Duplicate of this bug: 1460779
(In reply to Geoff Brown [:gbrown] (away May 11) from comment #18)
> "The application may be doing too much work on its main thread" is commonly
> seen in our logcats. I'm not aware of it being related to application
> killing. In this case, it looks like Choreographer reported that after the
> ExceptionHandler was hit: As though exception handling caused the
> Choreographer warning, rather than the other way around.

I see. But we also have cases when it is the other way around:

https://treeherder.mozilla.org/logviewer.html#?job_id=177948243&repo=autoland
https://taskcluster-artifacts.net/aVwfxeUqTMGOzdKT02wuXA/0/public/test_info//logcat-emulator-5554.log

> Signal (11) is SIGSEGV, which I would not expect to see if the app was
> killed by an external party.

We have different signals. The above had 11, right. But the link I added in this comment has signal 4 which is Illegal Instruction. So it might indeed be something in our code which causes Fennec to abort.
Duplicate of this bug: 1460814
Duplicate of this bug: 1460813
Comment hidden (Intermittent Failures Robot)
Depends on: 1461229
Duplicate of this bug: 1461013
(In reply to Henrik Skupin (:whimboo) from comment #3)
> Ok, so this is clearly not MediaControlService related but it looks like
> that we may see an OOM and our VM gets killed by Android?
> 
> https://taskcluster-artifacts.net/VZGmRBhvTjOMMqBC3rALrQ/0/public/test_info//
> logcat-emulator-5554.log
> 
> > 04-20 03:42:26.917   742   742 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: MENU_UPDATED
> > 04-20 03:42:28.257  2323  2323 W google-breakpad: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
> > 04-20 03:42:28.277   742   742 W google-breakpad: ExceptionHandler::GenerateDump cloned child 
> > 04-20 03:42:28.277   742   742 W google-breakpad: 2323ôÂ?ˆLL@Â?„•†@ØÂ?tÆŒ@ØÂ?æ
> > 04-20 03:42:28.277   742   742 W google-breakpad: 
> > 04-20 03:42:28.307   742   742 W google-breakpad: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
> > 04-20 03:42:30.527    38    38 D Zygote  : Process 742 terminated by signal (11)
> > 04-20 03:42:30.547   278   278 I ActivityManager: Process org.mozilla.fennec_aurora (pid 742) has died.
> 
> Snorp what do you think? Is there anything we could do to add some more
> details to those logs?

If we're crashing in libdvm I'm not aware of anything we can really do, unless the crash is reproducible. If we had a debugger attached we could try calling "dvmDumpThread(dvmThreadSelf(), true)", but if the VM is in a bad state that's not likely to work. We could also try enabling method tracing on the specified thread.
Flags: needinfo?(snorp)
Bug 1461036 which has been duped earlier today seem to contain more information and as it looks like it is a OOM we run into here fairly often:

log: https://treeherder.mozilla.org/logviewer.html#?job_id=178097673&repo=autoland&lineNumber=2012

logcat: https://taskcluster-artifacts.net/ZSa95lLBRP-SJKCIsw-wBg/0/public/test_info//logcat-emulator-5554.log

> 05-11 14:58:34.267   754   792 I Gecko   : ++DOMWINDOW == 117 (0x5b3c8c00) [pid = 754] [serial = 559] [outer = 0x52c2f8d0]
> 05-11 14:58:34.616   754   792 W GeckoEventDispatcher: No listener for Website:AppLeft
> 05-11 14:58:34.646   754   754 D GeckoToolbar: onTabChanged: TITLE
> 05-11 14:58:34.826   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: TITLE
> 05-11 14:58:34.826   754   754 D GeckoToolbar: onTabChanged: LOCATION_CHANGE
> 05-11 14:58:34.866   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: LOCATION_CHANGE
> 05-11 14:58:35.156   754   754 D GeckoToolbar: onTabChanged: SECURITY_CHANGE
> 05-11 14:58:35.156   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: SECURITY_CHANGE
> 05-11 14:58:35.167   754   754 D GeckoToolbar: onTabChanged: MENU_UPDATED
> 05-11 14:58:35.337   754   754 D dalvikvm: GC_FOR_ALLOC freed 395K, 16% free 14327K/17024K, paused 153ms, total 162ms
> 05-11 14:58:35.337   754   754 I dalvikvm-heap: Forcing collection of SoftReferences for 2594347512-byte allocation
> 05-11 14:58:35.566   754   754 D dalvikvm: GC_BEFORE_OOM freed 74K, 17% free 14253K/17024K, paused 226ms, total 226ms
> 05-11 14:58:35.566   754   754 E dalvikvm-heap: Out of memory on a -1700619784-byte allocation.
> 05-11 14:58:35.566   754   754 I dalvikvm: "main" prio=5 tid=1 RUNNABLE
> 05-11 14:58:35.566   754   754 I dalvikvm:   | group="main" sCount=0 dsCount=0 obj=0x414c9578 self=0x2a00d090
> 05-11 14:58:35.576   754   754 I dalvikvm:   | sysTid=754 nice=0 sched=0/0 cgrp=apps handle=1073811452
> 05-11 14:58:35.576   754   754 I dalvikvm:   | state=R schedstat=( 222717645512 153860107063 182949 ) utm=19163 stm=3108 core=0
> 05-11 14:58:35.586   754   754 I dalvikvm:   at java.lang.AbstractStringBuilder.enlargeBuffer(AbstractStringBuilder.java:~94)
> 05-11 14:58:35.586   754   754 I dalvikvm:   at java.lang.AbstractStringBuilder.append0(AbstractStringBuilder.java:145)
> 05-11 14:58:35.586   754   754 I dalvikvm:   at java.lang.StringBuilder.append(StringBuilder.java:202)
> 05-11 14:58:35.596   754   754 I dalvikvm:   at org.mozilla.gecko.BrowserApp.onTabChanged(BrowserApp.java:475)
> 05-11 14:58:35.596   754   754 I dalvikvm:   at org.mozilla.gecko.Tabs$5.run(Tabs.java:797)
> 05-11 14:58:35.596   754   754 I dalvikvm:   at android.os.Handler.handleCallback(Handler.java:730)
> 05-11 14:58:35.606   754   754 I dalvikvm:   at android.os.Handler.dispatchMessage(Handler.java:92)
> 05-11 14:58:35.606   754   754 I dalvikvm:   at android.os.Looper.loop(Looper.java:137)
> 05-11 14:58:35.606   754   754 I dalvikvm:   at android.app.ActivityThread.main(ActivityThread.java:5103)
> 05-11 14:58:35.606   754   754 I dalvikvm:   at java.lang.reflect.Method.invokeNative(Native Method)
> 05-11 14:58:35.606   754   754 I dalvikvm:   at java.lang.reflect.Method.invoke(Method.java:525)
> 05-11 14:58:35.606   754   754 I dalvikvm:   at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
> 05-11 14:58:35.616   754   754 I dalvikvm:   at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
> 05-11 14:58:35.616   754   754 I dalvikvm:   at dalvik.system.NativeStart.main(Native Method)
> 05-11 14:58:35.616   754   754 I dalvikvm: 
> 05-11 14:58:35.637   754   754 D AndroidRuntime: Shutting down VM

The reported line in BrowserApp.java is actually a call to `Log.d()`:
https://dxr.mozilla.org/mozilla-central/rev/45ec8fd380dd2c308e79dbb396ca87f2ce9b3f9c/mobile/android/base/java/org/mozilla/gecko/BrowserApp.java#475

So does it mean we get into an OOM situation while trying to log a debug message?
Flags: needinfo?(snorp)
(In reply to Henrik Skupin (:whimboo) from comment #27)
> Bug 1461036 which has been duped earlier today seem to contain more
> information and as it looks like it is a OOM we run into here fairly often:
> 
> log:
> https://treeherder.mozilla.org/logviewer.
> html#?job_id=178097673&repo=autoland&lineNumber=2012
> 
> logcat:
> https://taskcluster-artifacts.net/ZSa95lLBRP-SJKCIsw-wBg/0/public/test_info//
> logcat-emulator-5554.log
> 
> > 05-11 14:58:34.267   754   792 I Gecko   : ++DOMWINDOW == 117 (0x5b3c8c00) [pid = 754] [serial = 559] [outer = 0x52c2f8d0]
> > 05-11 14:58:34.616   754   792 W GeckoEventDispatcher: No listener for Website:AppLeft
> > 05-11 14:58:34.646   754   754 D GeckoToolbar: onTabChanged: TITLE
> > 05-11 14:58:34.826   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: TITLE
> > 05-11 14:58:34.826   754   754 D GeckoToolbar: onTabChanged: LOCATION_CHANGE
> > 05-11 14:58:34.866   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: LOCATION_CHANGE
> > 05-11 14:58:35.156   754   754 D GeckoToolbar: onTabChanged: SECURITY_CHANGE
> > 05-11 14:58:35.156   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: SECURITY_CHANGE
> > 05-11 14:58:35.167   754   754 D GeckoToolbar: onTabChanged: MENU_UPDATED
> > 05-11 14:58:35.337   754   754 D dalvikvm: GC_FOR_ALLOC freed 395K, 16% free 14327K/17024K, paused 153ms, total 162ms
> > 05-11 14:58:35.337   754   754 I dalvikvm-heap: Forcing collection of SoftReferences for 2594347512-byte allocation
> > 05-11 14:58:35.566   754   754 D dalvikvm: GC_BEFORE_OOM freed 74K, 17% free 14253K/17024K, paused 226ms, total 226ms
> > 05-11 14:58:35.566   754   754 E dalvikvm-heap: Out of memory on a -1700619784-byte allocation.
> > 05-11 14:58:35.566   754   754 I dalvikvm: "main" prio=5 tid=1 RUNNABLE
> > 05-11 14:58:35.566   754   754 I dalvikvm:   | group="main" sCount=0 dsCount=0 obj=0x414c9578 self=0x2a00d090
> > 05-11 14:58:35.576   754   754 I dalvikvm:   | sysTid=754 nice=0 sched=0/0 cgrp=apps handle=1073811452
> > 05-11 14:58:35.576   754   754 I dalvikvm:   | state=R schedstat=( 222717645512 153860107063 182949 ) utm=19163 stm=3108 core=0
> > 05-11 14:58:35.586   754   754 I dalvikvm:   at java.lang.AbstractStringBuilder.enlargeBuffer(AbstractStringBuilder.java:~94)
> > 05-11 14:58:35.586   754   754 I dalvikvm:   at java.lang.AbstractStringBuilder.append0(AbstractStringBuilder.java:145)
> > 05-11 14:58:35.586   754   754 I dalvikvm:   at java.lang.StringBuilder.append(StringBuilder.java:202)
> > 05-11 14:58:35.596   754   754 I dalvikvm:   at org.mozilla.gecko.BrowserApp.onTabChanged(BrowserApp.java:475)
> > 05-11 14:58:35.596   754   754 I dalvikvm:   at org.mozilla.gecko.Tabs$5.run(Tabs.java:797)
> > 05-11 14:58:35.596   754   754 I dalvikvm:   at android.os.Handler.handleCallback(Handler.java:730)
> > 05-11 14:58:35.606   754   754 I dalvikvm:   at android.os.Handler.dispatchMessage(Handler.java:92)
> > 05-11 14:58:35.606   754   754 I dalvikvm:   at android.os.Looper.loop(Looper.java:137)
> > 05-11 14:58:35.606   754   754 I dalvikvm:   at android.app.ActivityThread.main(ActivityThread.java:5103)
> > 05-11 14:58:35.606   754   754 I dalvikvm:   at java.lang.reflect.Method.invokeNative(Native Method)
> > 05-11 14:58:35.606   754   754 I dalvikvm:   at java.lang.reflect.Method.invoke(Method.java:525)
> > 05-11 14:58:35.606   754   754 I dalvikvm:   at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
> > 05-11 14:58:35.616   754   754 I dalvikvm:   at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
> > 05-11 14:58:35.616   754   754 I dalvikvm:   at dalvik.system.NativeStart.main(Native Method)
> > 05-11 14:58:35.616   754   754 I dalvikvm: 
> > 05-11 14:58:35.637   754   754 D AndroidRuntime: Shutting down VM
> 
> The reported line in BrowserApp.java is actually a call to `Log.d()`:
> https://dxr.mozilla.org/mozilla-central/rev/
> 45ec8fd380dd2c308e79dbb396ca87f2ce9b3f9c/mobile/android/base/java/org/
> mozilla/gecko/BrowserApp.java#475
> 
> So does it mean we get into an OOM situation while trying to log a debug
> message?

It definitely does!  Question is, why are we getting a message so large that we're trying to allocate 2594347512 bytes?   That is 2,594,347,512, which is absolutely bananas.  We should immediately start logging the message type and its size.  Perhaps a favicon is coming across the wire?  Perhaps our native Gecko JSON object unpacking is getting corrupted?
Also see one of the lines above for how the result looks if nothing goes wrong:
> GeckoBrowserApp: BrowserApp.onTabChanged: 0: SECURITY_CHANGE
Here the difference between a passing and failing job:

PASSING
=======
> 05-14 13:19:12.430   761   796 I Gecko   : 1526329152436	Marionette	DEBUG	Received DOM event unload for data:text/html;charset=utf-8,%0A%20%20%20%20%20%20%20%20%20%20%3Cdiv%20style%3D%22height%3A%20200vh%3B%22%3E%0A%20%20%20%20%2 ... %20relative%3B%20top%3A%205em%22%3EButton2%3C/button%3E%0A%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20
> 05-14 13:19:12.590   761   796 I Gecko   : ++DOMWINDOW == 117 (0x5c034000) [pid = 761] [serial = 559] [outer = 0x52c2f8d0]
> 05-14 13:19:12.600   761   765 D dalvikvm: GC_CONCURRENT freed 1906K, 24% free 14499K/19016K, paused 10ms+33ms, total 318ms
> 05-14 13:19:13.031   761   796 W GeckoEventDispatcher: No listener for Website:AppLeft
> 05-14 13:19:13.061   761   761 D GeckoToolbar: onTabChanged: TITLE
> 05-14 13:19:13.182   761   761 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: TITLE
> 05-14 13:19:13.210   761   761 D GeckoToolbar: onTabChanged: LOCATION_CHANGE
> 05-14 13:19:13.230   761   761 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: LOCATION_CHANGE
> 05-14 13:19:13.440   761   761 D GeckoToolbar: onTabChanged: SECURITY_CHANGE
> 05-14 13:19:13.440   761   761 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: SECURITY_CHANGE
> 05-14 13:19:13.450   761   761 D GeckoToolbar: onTabChanged: MENU_UPDATED
> 05-14 13:19:13.450   761   761 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: MENU_UPDATED
> 05-14 13:19:15.001   761   761 D GeckoToolbar: onTabChanged: LOADED
> 05-14 13:19:15.001   761   761 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: LOADED
> 05-14 13:19:15.041   761   796 I Gecko   : 1526329155043	Marionette	DEBUG	Received DOM event DOMContentLoaded for data:text/html;charset=utf-8,%0A%20%20%20%20%20%20%20%20%20%20Result%3A%20%3Cspan%20id%3D%22result%22%3E%3C/span%3E%0A%20%20% ... %20%20%20%20%20%3Cli%20id%3D%22line4%22%3Eline4%3C/li%3E%0A%20%20%20%20%20%20%20%20%20%20%3C/ul%3E%0A%20%20%20%20%20%20%20%20

FAILING:
========
> 05-11 14:58:34.197   754   792 I Gecko   : 1526075914196	Marionette	DEBUG	Received DOM event unload for data:text/html;charset=utf-8,%0A%20%20%20%20%20%20%20%20%20%20%3Cdiv%20style%3D%22height%3A%20200vh%3B%22%3E%0A%20%20%20%20%2 ... %20relative%3B%20top%3A%205em%22%3EButton2%3C/button%3E%0A%20%20%20%20%20%20%20%20%20%20%3C/div%3E%0A%20%20%20%20%20%20%20%20
> 05-11 14:58:34.267   754   792 I Gecko   : ++DOMWINDOW == 117 (0x5b3c8c00) [pid = 754] [serial = 559] [outer = 0x52c2f8d0]
> 05-11 14:58:34.616   754   792 W GeckoEventDispatcher: No listener for Website:AppLeft
> 05-11 14:58:34.646   754   754 D GeckoToolbar: onTabChanged: TITLE
> 05-11 14:58:34.826   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: TITLE
> 05-11 14:58:34.826   754   754 D GeckoToolbar: onTabChanged: LOCATION_CHANGE
> 05-11 14:58:34.866   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: LOCATION_CHANGE
> 05-11 14:58:35.156   754   754 D GeckoToolbar: onTabChanged: SECURITY_CHANGE
> 05-11 14:58:35.156   754   754 D GeckoBrowserApp: BrowserApp.onTabChanged: 0: SECURITY_CHANGE
> 05-11 14:58:35.167   754   754 D GeckoToolbar: onTabChanged: MENU_UPDATED
> 05-11 14:58:35.337   754   754 D dalvikvm: GC_FOR_ALLOC freed 395K, 16% free 14327K/17024K, paused 153ms, total 162ms
> 05-11 14:58:35.337   754   754 I dalvikvm-heap: Forcing collection of SoftReferences for 2594347512-byte allocation
> 05-11 14:58:35.566   754   754 D dalvikvm: GC_BEFORE_OOM freed 74K, 17% free 14253K/17024K, paused 226ms, total 226ms
> 05-11 14:58:35.566   754   754 E dalvikvm-heap: Out of memory on a -1700619784-byte allocation.

So if the events are always in the same order the broken one should have been `BrowserApp.onTabChanged: 0: MENU_UPDATED`.
Note that since today we also run Marionette tests for Fennec opt build and as it looks like this particular problem only occurs for debug builds. Opt builds are fairly stable.

https://treeherder.mozilla.org/#/jobs?repo=autoland&filter-searchStr=marionette%20android&bugfiler&fromchange=c58979622f4e
Wow, this is crazy. The logging line in question is concatenating a couple small strings with an integer and an Enum. The Enum toString() just returns the string value of the declaration (like "MENU_UPDATED"). I think the only way we end up allocating a ton of memory here is if dalvik is hosed.

I guess it's also possible that Gecko could somehow be corrupting the dalvik heap?
Flags: needinfo?(snorp)
Comment hidden (Intermittent Failures Robot)
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1454838
(Reporter)

Updated

11 months ago
Depends on: 1463958
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Please note that the newly enabled Mn jobs on Android for opt builds do NOT show those problems. The crashes only happen for debug builds.
(In reply to Henrik Skupin (:whimboo) from comment #43)
> Please note that the newly enabled Mn jobs on Android for opt builds do NOT
> show those problems. The crashes only happen for debug builds.

Do we need or is there a separate bug for the android failures?
Flags: needinfo?(hskupin)
Sorry but I don't understand your question. This bug is for Android only. Desktop isn't involved.
Flags: needinfo?(hskupin)
(In reply to Henrik Skupin (:whimboo) from comment #46)
> Sorry but I don't understand your question. This bug is for Android only.
> Desktop isn't involved.

Sorry, i mistyped "the" instead of "those". I was referring if we need or if there already is a separate bug for the opt builds or if we should use this bug to classify them.
Flags: needinfo?(hskupin)
As I said in comment 43 the opt builds do not crash, at least I haven't seen one yet. So no, we don't need anything else.
Flags: needinfo?(hskupin)
this is disable-recommended, and fails on different tests (always marionette-2 though).  Is there a bug tracking the work here? 

With a >50% failure rate which seemed to have started on the 26th (3 days ago), we need to have a fix in place or consider disabling many tests to get this off our disable recommended radar.
Flags: needinfo?(hskupin)
(In reply to Joel Maher ( :jmaher ) (UTC-4) from comment #49)
> this is disable-recommended, and fails on different tests (always
> marionette-2 though).  Is there a bug tracking the work here? 

Joel, there is nothing I can do here. This is a crash of Fennec caused maybe by Android itself. You will have to talk to Snorp for updates. But so far I don't see big interest in getting this fixed, maybe due to missing developer time.

> With a >50% failure rate which seemed to have started on the 26th (3 days
> ago), we need to have a fix in place or consider disabling many tests to get
> this off our disable recommended radar.

Now that we have the Mn jobs running for opt builds too (as mentioned above) we could disable the most affected tests like screenshots for Android debug only.
Flags: needinfo?(hskupin) → needinfo?(snorp)
There have been some indications that this is some weird Fennec interaction with the toolbar. We could disable the debug tests and revisit running them on GeckoView instead if that makes sense.
Flags: needinfo?(snorp)
I would suggest that we first skip the screenshot tests on Android, which causing large amount of data being transferred from the Firefox process to the host. If that doesn't help us with the crashes for remaining tests, we could consider disabling them all.
(Reporter)

Updated

11 months ago
Attachment #8981533 - Flags: review?(jmaher)

Comment 54

11 months ago
mozreview-review
Comment on attachment 8981533 [details]
Bug 1454680 - [marionette] Skip screenshot tests for Fennec debug builds.

https://reviewboard.mozilla.org/r/247650/#review253676

thanks :whimboo
Attachment #8981533 - Flags: review?(jmaher) → review+
(Reporter)

Updated

11 months ago
Keywords: leave-open

Comment 55

11 months ago
Pushed by hskupin@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/36333bc2fb03
[marionette] Skip screenshot tests for Fennec debug builds. r=jmaher
Comment hidden (Intermittent Failures Robot)
Joel, can you please check later today if something has been changed? If not we should consider disabling the Mn tests for Android debug builds.
Flags: needinfo?(jmaher)
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1465283
looking good so far today- no failures in the last 17 hours.
Flags: needinfo?(jmaher)
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1465726
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1466036
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1465727
Joel, I assume we should stop running the debug tests? We still have those failures, maybe not that much but often enough, or?
Flags: needinfo?(jmaher)
Btw. as James mentioned on a couple of duped bugs this all looks like an Android bug.
I see 30+ failures/week rate still going on 5-10/day- even if these are android bugs, they still cause a lot of confusion.

I would vote for disabling the job on debug; we could wait until next week if you want to give it a couple extra days.
Flags: needinfo?(jmaher)
Sure. I will also put it on our agenda item for our team meeting on Monday.
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1466162
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1466165
Duplicate of this bug: 1466106
Duplicate of this bug: 1466264
Comment hidden (Intermittent Failures Robot)
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1466263
A different stack has been reported via bug 1466263:

https://taskcluster-artifacts.net/bsmgZBIYRqq6FhhJta5H0g/0/public/test_info//logcat-emulator-5554.log

06-01 13:49:04.672   758   758 E GeckoCrashHandler: >>> REPORTING UNCAUGHT EXCEPTION FROM THREAD 1 ("main")
06-01 13:49:04.672   758   758 E GeckoCrashHandler: java.lang.NoSuchMethodError: Landroid/inputmethodservice/ExtractEditLayout;.findViewById
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.ViewGroup.invalidateChildInParent(ViewGroup.java:4331)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.ViewGroup.invalidateChild(ViewGroup.java:4253)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.View.invalidate(View.java:10482)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.widget.TextView.invalidateDrawable(TextView.java:4797)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.graphics.drawable.Drawable.invalidateSelf(Drawable.java:343)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.graphics.drawable.Drawable.setBounds(Drawable.java:152)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.View.draw(View.java:13924)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.View.draw(View.java:13825)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.ViewGroup.drawChild(ViewGroup.java:3086)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.ViewGroup.dispatchDraw(ViewGroup.java:2923)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.view.View.draw(View.java:13947)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.widget.FrameLayout.draw(FrameLayout.java:467)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at android.widget.HorizontalScrollView.draw(HorizontalScrollView.java:1562)
06-01 13:49:04.672   758   758 E GeckoCrashHandler: 	at org.mozilla.gecko.widget.FadedHorizontalScrollView.draw(FadedHorizontalScrollView.java:77)
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1466265
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1466266
In yesterdays meeting we decided to stop running the tests for Fennec debug builds.

Interesting fact anyway is that only Mn2 is affected. So one test out of this chunk might be the reason, but figuring that out we clearly do not have the time.

If someone needs to run the tests for Fennec debug a single change in the TC config would be necessary, also locally it can always be done via `mach`.

James, are you ok with that?
Flags: needinfo?(snorp)
Yeah, I think that's fine. None of the issues we found seem tractable, so this seems like the only good option.
Flags: needinfo?(snorp)
Hm, disabling the whole job is actually not that easy and would require me to restore former TC task configurations which we had before bug 1460315 landed, but only the other way around. Also it doesn't make it easy for someone to just push something to try.

Maybe we should unskip the screenshot tests, and then I push some try builds by just emptying some tests. 

Btw. here a new info from a failing test:

https://taskcluster-artifacts.net/ZfyskSrfTnq7bvRDdtFXPQ/0/public/test_info//logcat-emulator-5554.log

> 06-05 22:28:50.457   764   764 E GeckoCrashHandler: java.lang.IllegalStateException: Circular dependencies cannot exist in RelativeLayout
> 06-05 22:28:50.457   764   764 E GeckoCrashHandler: 	at android.widget.RelativeLayout$DependencyGraph.getSortedViews(RelativeLayout.java:1692)

Given that our Android version for the emulator is kinda old (right) I wonder if we face the following bug in Android:

https://android.googlesource.com/platform/frameworks/base/+/a354c4f1565cb69ab0858b586c4f2071a46b1105

It would make sense in terms of OOM crashes due to infinite recursion.

Geoff, I wonder if some kind of Android version update for Android unit tests in TC has been taken place a while ago which might have caused those crashes to appear.
Flags: needinfo?(gbrown)
(In reply to Noemi Erli[:noemi_erli] from comment #56)
> https://hg.mozilla.org/mozilla-central/rev/36333bc2fb03

Sheriffs can you please backout this particular changeset which didn't help us in lowering the number of crashes. Thanks.
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1440999
So I had a look at the Mn2 job and interesting is that this job contains all the navigation tests. Given that we always crash while navigating it might be wise to test with all the navigation tests disabled as first step. 

https://treeherder.mozilla.org/#/jobs?repo=try&revision=38837079e1ca73910cd9dc98a85f7a6d5556763b
Also from a recent Mn2 failure on central after the backout those are the tests which actually got run before the crash happened:

https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&revision=715e3f81f67c5fb9f9810fd80690b429888ae86e&filter-searchStr=marionette&selectedJob=182043431

> test_navigation.py TestNavigate.test_set_location_through_execute_script
> test_navigation.py TestPageLoadStrategy.test_none
> test_navigation.py TestPageLoadStrategy.test_normal
> test_navigation.py TestRefresh.test_basic
> test_navigation.py TestRefresh.test_dismissed_beforeunload_prompt
> test_navigation.py TestRefresh.test_history_pushstate
> test_navigation.py TestRefresh.test_image
> test_navigation.py TestRefresh.test_insecure_error
> test_navigation.py TestRefresh.test_refresh_in_child_frame_navigates_to_top
> test_navigation.py TestRefresh.test_timeout_error
> test_navigation.py TestTLSNavigation.test_deactivation
> test_navigation.py TestTLSNavigation.test_navigate_by_click
> *crash*
Good news! When skipping the navigation tests all is green! I would propose that we land this patch, and can have a look what's causing it whenever someone has the time for.
(Reporter)

Updated

11 months ago
Attachment #8981533 - Attachment is obsolete: true

Comment 88

11 months ago
mozreview-review
Comment on attachment 8983780 [details]
Bug 1454680 - Skip test_navigation.py to stop crashes for Fennec debug builds.

https://reviewboard.mozilla.org/r/249620/#review255816
Attachment #8983780 - Flags: review?(jmaher) → review+

Comment 89

11 months ago
Pushed by hskupin@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/70081a033f19
Skip test_navigation.py to stop crashes for Fennec debug builds. r=jmaher
(In reply to Henrik Skupin (:whimboo) from comment #80)
> Hm, disabling the whole job is actually not that easy and would require me
> to restore former TC task configurations which we had before bug 1460315
> landed, but only the other way around. Also it doesn't make it easy for
> someone to just push something to try.

I may be misunderstanding the intention, but if you want to run marionette only on opt, I think you can just move it to

https://dxr.mozilla.org/mozilla-central/rev/752465b44c793318cef36df46ca5ff00c3d8854a/taskcluster/ci/test/test-sets.yml#331


> Geoff, I wonder if some kind of Android version update for Android unit
> tests in TC has been taken place a while ago which might have caused those
> crashes to appear.

The last change to the Android images used for Android 4.3 arm testing was https://hg.mozilla.org/mozilla-central/rev/b614ddc26ff9 - 2016-08-05.

The last change to the Android sdk/emulator was https://hg.mozilla.org/mozilla-central/rev/137fa515a573 - 2017-10-17 - but that only updated the adb binary, not the emulator or other components.
Flags: needinfo?(gbrown)
(In reply to Geoff Brown [:gbrown] from comment #90)
> I may be misunderstanding the intention, but if you want to run marionette
> only on opt, I think you can just move it to
> 
> https://dxr.mozilla.org/mozilla-central/rev/
> 752465b44c793318cef36df46ca5ff00c3d8854a/taskcluster/ci/test/test-sets.
> yml#331

Interesting. I will keep that in mind. Thanks.

> The last change to the Android images used for Android 4.3 arm testing was
> https://hg.mozilla.org/mozilla-central/rev/b614ddc26ff9 - 2016-08-05.
> 
> The last change to the Android sdk/emulator was
> https://hg.mozilla.org/mozilla-central/rev/137fa515a573 - 2017-10-17 - but
> that only updated the adb binary, not the emulator or other components.

Ok, both are way earlier than those failures started.
There are no more test failures present since the skip patch for navigation tests landed!
(Reporter)

Updated

11 months ago
Duplicate of this bug: 1467323
(In reply to Natalia Csoregi [:nataliaCs] from comment #92)
> https://hg.mozilla.org/mozilla-central/rev/70081a033f19

Please uplift the skip patch for the test to mozilla-beta.
Whiteboard: [stockwell disable-recommended] → [stockwell disable-recommended][checkin-needed-beta]

Comment 96

11 months ago
uplift
https://hg.mozilla.org/releases/mozilla-beta/rev/0603f248ac4e
Whiteboard: [stockwell disable-recommended][checkin-needed-beta] → [stockwell disable-recommended]
(Reporter)

Updated

11 months ago
Keywords: test-disabled
Whiteboard: [stockwell disable-recommended] → [stockwell disable-recommended][test_navigation.py]
Comment hidden (Intermittent Failures Robot)
Since June 7th we do not see anymore failures. So the skip was helpful.
I talked with James this afternoon and we decided to not put more efforts into it. We will wait until the new x86 emulators get up running, and then we can test if we can unskip this test.
Whiteboard: [stockwell disable-recommended][test_navigation.py] → [stockwell disabled][test_navigation.py]

Updated

10 months ago
See Also: → 1469252
(Reporter)

Updated

10 months ago
Duplicate of this bug: 1469252
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1475428
Re-triaging per https://bugzilla.mozilla.org/show_bug.cgi?id=1473195

Needinfo :susheel if you think this bug should be re-triaged.
Duplicate of this bug: 1482824
Duplicate of this bug: 1482823
Duplicate of this bug: 1483833
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1485858
Summary: Mn failures due to Zygote: Process 742 terminated by signal (11) | application crashed [@ libdvm.so + 0x21bdc] → Mn failures due to Zygote: Process 742 terminated by signal (11) | application crashed [@ libdvm.so + 0x21bdc], e.g. test_click_scrolling.py
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1461229
Comment hidden (Intermittent Failures Robot)
Closing because no crash reported since 12 weeks.
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Resolution: --- → WONTFIX
Closing because no crash reported since 12 weeks.
Comment hidden (Intermittent Failures Robot)
This appeared on mozilla-central, Android 4.3 API16+ opt

https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&resultStatus=testfailed%2Cbusted%2Cexception&classifiedState=unclassified&fromchange=94ef0a404e408ff3cf2b66f3de6aa9605d9a5a25&selectedJob=215154652

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=215154652&repo=mozilla-inbound&lineNumber=1558


[task 2018-12-02T10:48:08.292Z] 10:48:08     INFO -  TEST-START | testing/marionette/harness/marionette_harness/tests/unit/test_window_status_chrome.py TestNoSuchWindowChrome.test_closed_chrome_window
[task 2018-12-02T10:48:13.824Z] 10:48:13     INFO -  mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/Nw71P5x8TtWGg3UuyxKMnA/artifacts/public/build/target.crashreporter-symbols.zip
[task 2018-12-02T10:48:47.353Z] 10:48:47     INFO -  mozcrash Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmpb3qtyU/328ce1ef-3aec-e73f-7641-ac55f8c9e821.dmp /tmp/tmpZ0rqPl
[task 2018-12-02T10:48:56.310Z] 10:48:56     INFO -  mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/328ce1ef-3aec-e73f-7641-ac55f8c9e821.dmp
[task 2018-12-02T10:48:56.311Z] 10:48:56     INFO -  mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/328ce1ef-3aec-e73f-7641-ac55f8c9e821.extra
[task 2018-12-02T10:48:56.314Z] 10:48:56  WARNING -  PROCESS-CRASH | testing/marionette/harness/marionette_harness/tests/unit/test_window_status_chrome.py TestNoSuchWindowChrome.test_closed_chrome_window | application crashed [@ libdvm.so + 0x37158]
[task 2018-12-02T10:48:56.314Z] 10:48:56     INFO -  Crash dump filename: /tmp/tmpb3qtyU/328ce1ef-3aec-e73f-7641-ac55f8c9e821.dmp
[task 2018-12-02T10:48:56.315Z] 10:48:56     INFO -  Operating system: Android
[task 2018-12-02T10:48:56.315Z] 10:48:56     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2018-12-02T10:48:56.315Z] 10:48:56     INFO -  CPU: arm
[task 2018-12-02T10:48:56.315Z] 10:48:56     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2018-12-02T10:48:56.316Z] 10:48:56     INFO -       1 CPU
[task 2018-12-02T10:48:56.316Z] 10:48:56     INFO -  GPU: UNKNOWN
[task 2018-12-02T10:48:56.316Z] 10:48:56     INFO -  Crash reason:  SIGSEGV
[task 2018-12-02T10:48:56.316Z] 10:48:56     INFO -  Crash address: 0x6f008c
[task 2018-12-02T10:48:56.317Z] 10:48:56     INFO -  Process uptime: not available
[task 2018-12-02T10:48:56.317Z] 10:48:56     INFO -  Thread 25 (crashed)
[task 2018-12-02T10:48:56.317Z] 10:48:56     INFO -   0  libdvm.so + 0x37158
[task 2018-12-02T10:48:56.317Z] 10:48:56     INFO -       r0 = 0x006f006c    r1 = 0x2a00af50    r2 = 0xfffffe58    r3 = 0x408e7c88
[task 2018-12-02T10:48:56.318Z] 10:48:56     INFO -       r4 = 0x42413458    r5 = 0x408ec1a0    r6 = 0x00000010    r7 = 0x2a00af50
[task 2018-12-02T10:48:56.318Z] 10:48:56     INFO -       r8 = 0x80000000    r9 = 0x40875370   r10 = 0x2a00af50   r12 = 0x414b51e8
[task 2018-12-02T10:48:56.318Z] 10:48:56     INFO -       fp = 0x42413500    sp = 0x5e275a30    lr = 0x40866f00    pc = 0x40875158
[task 2018-12-02T10:48:56.318Z] 10:48:56     INFO -      Found by: given as instruction pointer in context
[task 2018-12-02T10:48:56.319Z] 10:48:56     INFO -   1  dalvik-heap (deleted) + 0xf5e3fe
[task 2018-12-02T10:48:56.319Z] 10:48:56     INFO -       sp = 0x5e275a34    pc = 0x42413400
[task 2018-12-02T10:48:56.319Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.319Z] 10:48:56     INFO -   2  libdvm.so + 0x28efe
[task 2018-12-02T10:48:56.320Z] 10:48:56     INFO -       sp = 0x5e275a48    pc = 0x40866f00
[task 2018-12-02T10:48:56.320Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.320Z] 10:48:56     INFO -   3  dalvik-heap (deleted) + 0xf5e3fe
[task 2018-12-02T10:48:56.320Z] 10:48:56     INFO -       sp = 0x5e275a50    pc = 0x42413400
[task 2018-12-02T10:48:56.320Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.321Z] 10:48:56     INFO -   4  libcutils.so + 0xd182
[task 2018-12-02T10:48:56.321Z] 10:48:56     INFO -       sp = 0x5e275a60    pc = 0x40021184
[task 2018-12-02T10:48:56.321Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.321Z] 10:48:56     INFO -   5  libdvm.so + 0xae19e
[task 2018-12-02T10:48:56.322Z] 10:48:56     INFO -       sp = 0x5e275a64    pc = 0x408ec1a0
[task 2018-12-02T10:48:56.322Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.322Z] 10:48:56     INFO -   6  libcutils.so + 0xd026
[task 2018-12-02T10:48:56.322Z] 10:48:56     INFO -       sp = 0x5e275a68    pc = 0x40021028
[task 2018-12-02T10:48:56.323Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.323Z] 10:48:56     INFO -   7  libdvm.so + 0x37606
[task 2018-12-02T10:48:56.323Z] 10:48:56     INFO -       sp = 0x5e275a78    pc = 0x40875608
[task 2018-12-02T10:48:56.323Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.323Z] 10:48:56     INFO -   8  dalvik-heap (deleted) + 0x280ffe
[task 2018-12-02T10:48:56.324Z] 10:48:56     INFO -       sp = 0x5e275a7c    pc = 0x41736000
[task 2018-12-02T10:48:56.324Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.324Z] 10:48:56     INFO -   9  libdvm.so + 0xa6a92
[task 2018-12-02T10:48:56.324Z] 10:48:56     INFO -       sp = 0x5e275a80    pc = 0x408e4a94
[task 2018-12-02T10:48:56.325Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.325Z] 10:48:56     INFO -  10  libdvm.so + 0x293da
[task 2018-12-02T10:48:56.325Z] 10:48:56     INFO -       sp = 0x5e275a88    pc = 0x408673dc
[task 2018-12-02T10:48:56.325Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.325Z] 10:48:56     INFO -  11  libdvm.so + 0x399bb
[task 2018-12-02T10:48:56.326Z] 10:48:56     INFO -       sp = 0x5e275a90    pc = 0x408779bd
[task 2018-12-02T10:48:56.326Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.326Z] 10:48:56     INFO -  12  libdvm.so + 0x8e824
[task 2018-12-02T10:48:56.326Z] 10:48:56     INFO -       sp = 0x5e275a94    pc = 0x408cc826
[task 2018-12-02T10:48:56.327Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.327Z] 10:48:56     INFO -  13  libdvm.so + 0x39821
[task 2018-12-02T10:48:56.327Z] 10:48:56     INFO -       sp = 0x5e275a98    pc = 0x40877823
[task 2018-12-02T10:48:56.327Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.328Z] 10:48:56     INFO -  14  dalvik-heap (deleted) + 0x281006
[task 2018-12-02T10:48:56.328Z] 10:48:56     INFO -       sp = 0x5e275aa8    pc = 0x41736008
[task 2018-12-02T10:48:56.328Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.328Z] 10:48:56     INFO -  15  libdvm.so + 0xa9c86
[task 2018-12-02T10:48:56.329Z] 10:48:56     INFO -       sp = 0x5e275aac    pc = 0x408e7c88
[task 2018-12-02T10:48:56.329Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.329Z] 10:48:56     INFO -  16  dalvik-heap (deleted) + 0x211bd77
[task 2018-12-02T10:48:56.329Z] 10:48:56     INFO -       sp = 0x5e275ac0    pc = 0x435d0d79
[task 2018-12-02T10:48:56.329Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.330Z] 10:48:56     INFO -  17  dalvik-heap (deleted) + 0x268affe
[task 2018-12-02T10:48:56.330Z] 10:48:56     INFO -       sp = 0x5e275ac4    pc = 0x43b40000
[task 2018-12-02T10:48:56.330Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.331Z] 10:48:56     INFO -  18  libdvm.so + 0xae19e
[task 2018-12-02T10:48:56.331Z] 10:48:56     INFO -       sp = 0x5e275acc    pc = 0x408ec1a0
[task 2018-12-02T10:48:56.331Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.331Z] 10:48:56     INFO -  19  libdvm.so + 0x29e62
[task 2018-12-02T10:48:56.332Z] 10:48:56     INFO -       sp = 0x5e275ae8    pc = 0x40867e64
[task 2018-12-02T10:48:56.332Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.332Z] 10:48:56     INFO -  20  libdvm.so + 0xa9c86
[task 2018-12-02T10:48:56.332Z] 10:48:56     INFO -       sp = 0x5e275af8    pc = 0x408e7c88
[task 2018-12-02T10:48:56.333Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.333Z] 10:48:56     INFO -  21  dalvik-heap (deleted) + 0x17fe
[task 2018-12-02T10:48:56.333Z] 10:48:56     INFO -       sp = 0x5e275afc    pc = 0x414b6800
[task 2018-12-02T10:48:56.333Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.334Z] 10:48:56     INFO -  22  libdvm.so + 0x68339
[task 2018-12-02T10:48:56.334Z] 10:48:56     INFO -       sp = 0x5e275b08    pc = 0x408a633b
[task 2018-12-02T10:48:56.334Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.334Z] 10:48:56     INFO -  23  libandroidfw.so + 0x1b927
[task 2018-12-02T10:48:56.335Z] 10:48:56     INFO -       sp = 0x5e275b18    pc = 0x401ce929
[task 2018-12-02T10:48:56.335Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.335Z] 10:48:56     INFO -  24  libdvm.so + 0x49869
[task 2018-12-02T10:48:56.335Z] 10:48:56     INFO -       sp = 0x5e275b48    pc = 0x4088786b
[task 2018-12-02T10:48:56.336Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.336Z] 10:48:56     INFO -  25  libdvm.so + 0x49851
[task 2018-12-02T10:48:56.336Z] 10:48:56     INFO -       sp = 0x5e275b54    pc = 0x40887853
[task 2018-12-02T10:48:56.336Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.337Z] 10:48:56     INFO -  26  libdvm.so + 0x3b947
[task 2018-12-02T10:48:56.337Z] 10:48:56     INFO -       sp = 0x5e275b60    pc = 0x40879949
[task 2018-12-02T10:48:56.338Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.338Z] 10:48:56     INFO -  27  dalvik-LinearAlloc (deleted) + 0x48702
[task 2018-12-02T10:48:56.338Z] 10:48:56     INFO -       sp = 0x5e275b68    pc = 0x4c4af704
[task 2018-12-02T10:48:56.338Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.338Z] 10:48:56     INFO -  28  libdvm.so + 0xa39a5
[task 2018-12-02T10:48:56.339Z] 10:48:56     INFO -       sp = 0x5e275b74    pc = 0x408e19a7
[task 2018-12-02T10:48:56.339Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.339Z] 10:48:56     INFO -  29  libdvm.so + 0xa3ee8
[task 2018-12-02T10:48:56.339Z] 10:48:56     INFO -       sp = 0x5e275b84    pc = 0x408e1eea
[task 2018-12-02T10:48:56.340Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.340Z] 10:48:56     INFO -  30  libandroid_runtime.so + 0x75933
[task 2018-12-02T10:48:56.340Z] 10:48:56     INFO -       sp = 0x5e275b98    pc = 0x4017b935
[task 2018-12-02T10:48:56.341Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.341Z] 10:48:56     INFO -  31  libandroid_runtime.so + 0x7230d
[task 2018-12-02T10:48:56.341Z] 10:48:56     INFO -       sp = 0x5e275bd0    pc = 0x4017830f
[task 2018-12-02T10:48:56.341Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.341Z] 10:48:56     INFO -  32  libandroid_runtime.so + 0x6d601
[task 2018-12-02T10:48:56.342Z] 10:48:56     INFO -       sp = 0x5e275be0    pc = 0x40173603
[task 2018-12-02T10:48:56.342Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.342Z] 10:48:56     INFO -  33  dalvik-LinearAlloc (deleted) + 0x4bbce
[task 2018-12-02T10:48:56.343Z] 10:48:56     INFO -       sp = 0x5e275c18    pc = 0x4c4b2bd0
[task 2018-12-02T10:48:56.343Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.343Z] 10:48:56     INFO -  34  libdvm.so + 0x1dc4e
[task 2018-12-02T10:48:56.343Z] 10:48:56     INFO -       sp = 0x5e275c38    pc = 0x4085bc50
[task 2018-12-02T10:48:56.344Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.344Z] 10:48:56     INFO -  35  libdvm.so + 0x48dc3
[task 2018-12-02T10:48:56.344Z] 10:48:56     INFO -       sp = 0x5e275c50    pc = 0x40886dc5
[task 2018-12-02T10:48:56.345Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.345Z] 10:48:56     INFO -  36  framework.odex + 0x5db389
[task 2018-12-02T10:48:56.345Z] 10:48:56     INFO -       sp = 0x5e275c5c    pc = 0x4e0ad38b
[task 2018-12-02T10:48:56.345Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.346Z] 10:48:56     INFO -  37  dalvik-heap (deleted) + 0x1ee4e
[task 2018-12-02T10:48:56.346Z] 10:48:56     INFO -       sp = 0x5e275c60    pc = 0x414d3e50
[task 2018-12-02T10:48:56.346Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.346Z] 10:48:56     INFO -  38  libdvm.so + 0x4dcad
[task 2018-12-02T10:48:56.347Z] 10:48:56     INFO -       sp = 0x5e275c68    pc = 0x4088bcaf
[task 2018-12-02T10:48:56.347Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.347Z] 10:48:56     INFO -  39  framework.odex + 0x5db381
[task 2018-12-02T10:48:56.347Z] 10:48:56     INFO -       sp = 0x5e275c70    pc = 0x4e0ad383
[task 2018-12-02T10:48:56.348Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.348Z] 10:48:56     INFO -  40  libandroid_runtime.so + 0x722a9
[task 2018-12-02T10:48:56.348Z] 10:48:56     INFO -       sp = 0x5e275c74    pc = 0x401782ab
[task 2018-12-02T10:48:56.348Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.349Z] 10:48:56     INFO -  41  dalvik-heap (deleted) + 0x268affe
[task 2018-12-02T10:48:56.350Z] 10:48:56     INFO -       sp = 0x5e275c7c    pc = 0x43b40000
[task 2018-12-02T10:48:56.350Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.350Z] 10:48:56     INFO -  42  libc.so + 0x105f5
[task 2018-12-02T10:48:56.350Z] 10:48:56     INFO -       sp = 0x5e275c98    pc = 0x400375f7
[task 2018-12-02T10:48:56.350Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.351Z] 10:48:56     INFO -  43  libdvm.so + 0x2b582
[task 2018-12-02T10:48:56.351Z] 10:48:56     INFO -       sp = 0x5e275ca0    pc = 0x40869584
[task 2018-12-02T10:48:56.351Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.351Z] 10:48:56     INFO -  44  libdvm.so + 0xae6a2
[task 2018-12-02T10:48:56.352Z] 10:48:56     INFO -       sp = 0x5e275ca4    pc = 0x408ec6a4
[task 2018-12-02T10:48:56.352Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.352Z] 10:48:56     INFO -  45  libdvm.so + 0x728bb
[task 2018-12-02T10:48:56.352Z] 10:48:56     INFO -       sp = 0x5e275cc0    pc = 0x408b08bd
[task 2018-12-02T10:48:56.353Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.353Z] 10:48:56     INFO -  46  libdvm.so + 0xa9c86
[task 2018-12-02T10:48:56.353Z] 10:48:56     INFO -       sp = 0x5e275cd4    pc = 0x408e7c88
[task 2018-12-02T10:48:56.353Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.354Z] 10:48:56     INFO -  47  libdvm.so + 0x78443
[task 2018-12-02T10:48:56.354Z] 10:48:56     INFO -       sp = 0x5e275cd8    pc = 0x408b6445
[task 2018-12-02T10:48:56.354Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.355Z] 10:48:56     INFO -  48  dalvik-LinearAlloc (deleted) + 0x2b342e
[task 2018-12-02T10:48:56.355Z] 10:48:56     INFO -       sp = 0x5e275ce8    pc = 0x4c71a430
[task 2018-12-02T10:48:56.355Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.355Z] 10:48:56     INFO -  49  dalvik-heap (deleted) + 0x281006
[task 2018-12-02T10:48:56.356Z] 10:48:56     INFO -       sp = 0x5e275d00    pc = 0x41736008
[task 2018-12-02T10:48:56.356Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.356Z] 10:48:56     INFO -  50  dalvik-heap (deleted) + 0x61401e
[task 2018-12-02T10:48:56.356Z] 10:48:56     INFO -       sp = 0x5e275d04    pc = 0x41ac9020
[task 2018-12-02T10:48:56.357Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.357Z] 10:48:56     INFO -  51  dalvik-heap (deleted) + 0x61401e
[task 2018-12-02T10:48:56.357Z] 10:48:56     INFO -       sp = 0x5e275d0c    pc = 0x41ac9020
[task 2018-12-02T10:48:56.358Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.358Z] 10:48:56     INFO -  52  dalvik-heap (deleted) + 0x281006
[task 2018-12-02T10:48:56.358Z] 10:48:56     INFO -       sp = 0x5e275d10    pc = 0x41736008
[task 2018-12-02T10:48:56.358Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.359Z] 10:48:56     INFO -  53  libdvm.so + 0xa9c86
[task 2018-12-02T10:48:56.359Z] 10:48:56     INFO -       sp = 0x5e275d14    pc = 0x408e7c88
[task 2018-12-02T10:48:56.359Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.359Z] 10:48:56     INFO -  54  libdvm.so + 0x713a7
[task 2018-12-02T10:48:56.360Z] 10:48:56     INFO -       sp = 0x5e275d18    pc = 0x408af3a9
[task 2018-12-02T10:48:56.360Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.360Z] 10:48:56     INFO -  55  dalvik-heap (deleted) + 0x281006
[task 2018-12-02T10:48:56.361Z] 10:48:56     INFO -       sp = 0x5e275d30    pc = 0x41736008
[task 2018-12-02T10:48:56.361Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.361Z] 10:48:56     INFO -  56  dalvik-heap (deleted) + 0x6140ee
[task 2018-12-02T10:48:56.361Z] 10:48:56     INFO -       sp = 0x5e275d34    pc = 0x41ac90f0
[task 2018-12-02T10:48:56.362Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.362Z] 10:48:56     INFO -  57  dalvik-heap (deleted) + 0x6140ee
[task 2018-12-02T10:48:56.362Z] 10:48:56     INFO -       sp = 0x5e275d3c    pc = 0x41ac90f0
[task 2018-12-02T10:48:56.363Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.363Z] 10:48:56     INFO -  58  dalvik-heap (deleted) + 0x281006
[task 2018-12-02T10:48:56.363Z] 10:48:56     INFO -       sp = 0x5e275d40    pc = 0x41736008
[task 2018-12-02T10:48:56.363Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.364Z] 10:48:56     INFO -  59  libdvm.so + 0xa9c86
[task 2018-12-02T10:48:56.364Z] 10:48:56     INFO -       sp = 0x5e275d44    pc = 0x408e7c88
[task 2018-12-02T10:48:56.364Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.365Z] 10:48:56     INFO -  60  libdvm.so + 0x713a7
[task 2018-12-02T10:48:56.365Z] 10:48:56     INFO -       sp = 0x5e275d48    pc = 0x408af3a9
[task 2018-12-02T10:48:56.365Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.365Z] 10:48:56     INFO -  61  dalvik-heap (deleted) + 0x6140ee
[task 2018-12-02T10:48:56.366Z] 10:48:56     INFO -       sp = 0x5e275d54    pc = 0x41ac90f0
[task 2018-12-02T10:48:56.366Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.366Z] 10:48:56     INFO -  62  libdvm.so + 0xa9c86
[task 2018-12-02T10:48:56.366Z] 10:48:56     INFO -       sp = 0x5e275d5c    pc = 0x408e7c88
[task 2018-12-02T10:48:56.367Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.367Z] 10:48:56     INFO -  63  dalvik-LinearAlloc (deleted) + 0x4bbce
[task 2018-12-02T10:48:56.367Z] 10:48:56     INFO -       sp = 0x5e275d60    pc = 0x4c4b2bd0
[task 2018-12-02T10:48:56.367Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.368Z] 10:48:56     INFO -  64  dalvik-heap (deleted) + 0x1ee4e
[task 2018-12-02T10:48:56.368Z] 10:48:56     INFO -       sp = 0x5e275d6c    pc = 0x414d3e50
[task 2018-12-02T10:48:56.368Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.368Z] 10:48:56     INFO -  65  libdvm.so + 0x1ddbe
[task 2018-12-02T10:48:56.369Z] 10:48:56     INFO -       sp = 0x5e275d70    pc = 0x4085bdc0
[task 2018-12-02T10:48:56.369Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.369Z] 10:48:56     INFO -  66  libdvm.so + 0x385e3
[task 2018-12-02T10:48:56.370Z] 10:48:56     INFO -       sp = 0x5e275d80    pc = 0x408765e5
[task 2018-12-02T10:48:56.370Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.370Z] 10:48:56     INFO -  67  dalvik-LinearAlloc (deleted) + 0x4bbce
[task 2018-12-02T10:48:56.370Z] 10:48:56     INFO -       sp = 0x5e275d8c    pc = 0x4c4b2bd0
[task 2018-12-02T10:48:56.371Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.371Z] 10:48:56     INFO -  68  framework.odex + 0x2910ec
[task 2018-12-02T10:48:56.371Z] 10:48:56     INFO -       sp = 0x5e275d90    pc = 0x4dd630ee
[task 2018-12-02T10:48:56.371Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.372Z] 10:48:56     INFO -  69  dalvik-heap (deleted) + 0x1ee4e
[task 2018-12-02T10:48:56.372Z] 10:48:56     INFO -       sp = 0x5e275d9c    pc = 0x414d3e50
[task 2018-12-02T10:48:56.372Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.372Z] 10:48:56     INFO -  70  libdvm.so + 0x27062
[task 2018-12-02T10:48:56.373Z] 10:48:56     INFO -       sp = 0x5e275da0    pc = 0x40865064
[task 2018-12-02T10:48:56.373Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.373Z] 10:48:56     INFO -  71  libdvm.so + 0x2de9a
[task 2018-12-02T10:48:56.374Z] 10:48:56     INFO -       sp = 0x5e275dac    pc = 0x4086be9c
[task 2018-12-02T10:48:56.374Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.374Z] 10:48:56     INFO -  72  dalvik-LinearAlloc (deleted) + 0x5d3e
[task 2018-12-02T10:48:56.375Z] 10:48:56     INFO -       sp = 0x5e275dc0    pc = 0x4c46cd40
[task 2018-12-02T10:48:56.375Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.375Z] 10:48:56     INFO -  73  dalvik-heap (deleted) + 0x2db896
[task 2018-12-02T10:48:56.375Z] 10:48:56     INFO -       sp = 0x5e275dc4    pc = 0x41790898
[task 2018-12-02T10:48:56.376Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.376Z] 10:48:56     INFO -  74  libdvm.so + 0x2b582
[task 2018-12-02T10:48:56.377Z] 10:48:56     INFO -       sp = 0x5e275dc8    pc = 0x40869584
[task 2018-12-02T10:48:56.377Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.377Z] 10:48:56     INFO -  75  dalvik-heap (deleted) + 0x148affe
[task 2018-12-02T10:48:56.377Z] 10:48:56     INFO -       sp = 0x5e275dfc    pc = 0x42940000
[task 2018-12-02T10:48:56.377Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.377Z] 10:48:56     INFO -  76  core.odex + 0x22fa50
[task 2018-12-02T10:48:56.378Z] 10:48:56     INFO -       sp = 0x5e275e40    pc = 0x4d697a52
[task 2018-12-02T10:48:56.378Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.378Z] 10:48:56     INFO -  77  dalvik-LinearAlloc (deleted) + 0x5d3e
[task 2018-12-02T10:48:56.379Z] 10:48:56     INFO -       sp = 0x5e275e4c    pc = 0x4c46cd40
[task 2018-12-02T10:48:56.379Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.379Z] 10:48:56     INFO -  78  libdvm.so + 0x5fcbf
[task 2018-12-02T10:48:56.379Z] 10:48:56     INFO -       sp = 0x5e275e58    pc = 0x4089dcc1
[task 2018-12-02T10:48:56.380Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.380Z] 10:48:56     INFO -  79  dalvik-LinearAlloc (deleted) + 0x5d3e
[task 2018-12-02T10:48:56.381Z] 10:48:56     INFO -       sp = 0x5e275e60    pc = 0x4c46cd40
[task 2018-12-02T10:48:56.381Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.381Z] 10:48:56     INFO -  80  dalvik-heap (deleted) + 0x2db896
[task 2018-12-02T10:48:56.382Z] 10:48:56     INFO -       sp = 0x5e275e64    pc = 0x41790898
[task 2018-12-02T10:48:56.382Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.382Z] 10:48:56     INFO -  81  libdvm.so + 0xae19e
[task 2018-12-02T10:48:56.383Z] 10:48:56     INFO -       sp = 0x5e275e6c    pc = 0x408ec1a0
[task 2018-12-02T10:48:56.383Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.383Z] 10:48:56     INFO -  82  libdvm.so + 0xae4aa
[task 2018-12-02T10:48:56.383Z] 10:48:56     INFO -       sp = 0x5e275e74    pc = 0x408ec4ac
[task 2018-12-02T10:48:56.383Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.384Z] 10:48:56     INFO -  83  libdvm.so + 0xae4a6
[task 2018-12-02T10:48:56.384Z] 10:48:56     INFO -       sp = 0x5e275e78    pc = 0x408ec4a8
[task 2018-12-02T10:48:56.384Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.385Z] 10:48:56     INFO -  84  libdvm.so + 0x5fce9
[task 2018-12-02T10:48:56.385Z] 10:48:56     INFO -       sp = 0x5e275e88    pc = 0x4089dceb
[task 2018-12-02T10:48:56.385Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.385Z] 10:48:56     INFO -  85  libdvm.so + 0x54a71
[task 2018-12-02T10:48:56.385Z] 10:48:56     INFO -       sp = 0x5e275ea4    pc = 0x40892a73
[task 2018-12-02T10:48:56.386Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.386Z] 10:48:56     INFO -  86  libdvm.so + 0x549cf
[task 2018-12-02T10:48:56.386Z] 10:48:56     INFO -       sp = 0x5e275edc    pc = 0x408929d1
[task 2018-12-02T10:48:56.386Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.387Z] 10:48:56     INFO -  87  libc.so + 0xca5a
[task 2018-12-02T10:48:56.387Z] 10:48:56     INFO -       sp = 0x5e275ee8    pc = 0x40033a5c
[task 2018-12-02T10:48:56.387Z] 10:48:56     INFO -      Found by: stack scanning
[task 2018-12-02T10:48:56.387Z] 10:48:56     INFO -  88  libc.so + 0xcbd6
[task 2018-12-02T10:48:56.388Z] 10:48:56     INFO -       sp = 0x5e275f00    pc = 0x40033bd8
[task 2018-12-02T10:48:56.388Z] 10:48:56     INFO -      Found by: stack scanning

Do we reopen this?
Flags: needinfo?(hskupin)
Comment hidden (Intermittent Failures Robot)
(In reply to Andreea Pavel [:apavel] from comment #117)
> Do we reopen this?

Wontfix was anyway the wrong solution for this bug. Lets reopen it as usual given that there is a current crash report. Also not sure why leave-open was removed given that this crash doesn't currently occur because the causing tests are disabled.
Status: RESOLVED → REOPENED
Flags: needinfo?(hskupin) → needinfo?(sledru)
Keywords: leave-open
Resolution: WONTFIX → ---
leave-open is removed automatically when a bug is closed.
Crash Signature: [@ libdvm.so + 0x21bdc] → [@ libdvm.so + 0x21bdc] [@ libdvm.so + 0x37158]
Flags: needinfo?(sledru)
Duplicate of this bug: 1517132

Maybe with moving the Mn jobs to Android 7.0 x86 (bug 1500509) we might get rid of this problem.

Depends on: 1500509
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1529842
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1529935
Comment hidden (Intermittent Failures Robot)
No longer depends on: 1500509
Depends on: 1533079
Crash Signature: [@ libdvm.so + 0x21bdc] [@ libdvm.so + 0x37158] → [@ libdvm.so + 0x21bdc] [@ libdvm.so + 0x37158] [@ 0x660faf9c]
Comment hidden (Intermittent Failures Robot)

We moved away from the ARM platform and this failure no longer occurs on packet.net with Android 7.0 x86_64.

Status: REOPENED → RESOLVED
Crash Signature: [@ libdvm.so + 0x21bdc] [@ libdvm.so + 0x37158] [@ 0x660faf9c] → [@ libdvm.so + 0x21bdc] [@ libdvm.so + 0x37158] [@ 0x660faf9c]
Last Resolved: 7 months ago2 months ago
Resolution: --- → WONTFIX
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.